Ошибка аутентификации некоторых пакетов во время обновления

22

Когда я пытаюсь обновить свой Ubuntu 13.04 до 13.10, он дает следующую ошибку:

It was not possible to authenticate some packages. This may be a 
transient network problem. You may want to try again later. See below 
for a list of unauthenticated packages.

Также при загрузке файлов я вижу такие ошибки, как:

Err http://in.archive.ubuntu.com saucy-backports/restricted Translation-en_IN 

Я попробовал ссылку на аналогичный вопрос но это не работает. Я не думаю, что у меня есть проблемы с ключами.

    
задан Singularity 24.02.2014 в 01:43
источник

1 ответ

42
  

Важное уведомление о безопасности

     

Этот ответ отключит критическую функцию безопасности в Ubuntu. Это остановит проверку пакетов Ubuntu такими же, какими они были, когда они были построены.

     

Этот может означать, что ваши обновления скомпрометированы или повреждены.
  Этот мог означать, что есть только ошибка в способе обновления выпусков Ubuntu.

     

Я не говорю, что вы никогда не должны этого делать, я просто прошу вас знать, что вы делаете. И верните вещи после обновления. Не оставляйте AllowUnauthenticated на неопределенное время.

     

- Оли, спросите модератора Ubuntu.

Это сработало для меня.

создайте файл /etc/update-manager/release-upgrades.d/unauth.cfg как root и добавьте следующее.

[Distro]
AllowUnauthenticated=yes

После обновления удалите этот файл.

    
ответ дан Singularity 25.02.2014 в 16:00